Subject: Re: [PATCH] ppc32: fix cpm_uart_int() missing interrupts

From: Dan Malek <[email-masked]>
Date: Thu, 19 May 2005 16:32:37 -0400

On May 19, 2005, at 4:26 PM, Guillaume Autran wrote:

> You are right, moving the event clearing statement is much easier and 
> cleaner. Let the interrupt be the loop.

I also just had the thought we could check the events for non-zero,
clear them, and process only the ones we wanted.  That would save
the interrupt overhead if we had high speed ports (which I really
don't like for normal RS-232 anyway :-)).

I'll move this patch ahead.

Thanks.

	-- Dan